Package org.eclipse.emf.cdo.security.impl

# Interface PermissionImpl.CommitImpactContext

Enclosing class:
  `PermissionImpl`

public static interface PermissionImpl.CommitImpactContext
A description of the current commit that is used to `determine` the impact of this commit on the configured `permissions`.

Since:
  4.3
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`CDOID[]`
`getDetachedObjects()`
Returns the CDOIDs of the detached objects of the current commit.
`CDORevisionDelta[]`
`getDirtyObjectDeltas()`
Returns the revision deltas of the changed objects of the current commit.
`CDORevision[]`
`getDirtyObjects()`
Returns the revisions of the changed objects of the current commit.
`CDORevision[]`
`getNewObjects()`
Returns the revisions of the new objects of the current commit.

## Method Details

### getNewObjects

CDORevision[] getNewObjects()
Returns the revisions of the new objects of the current commit.

Read only!

### getDirtyObjects

CDORevision[] getDirtyObjects()
Returns the revisions of the changed objects of the current commit.

Read only!

### getDirtyObjectDeltas

CDORevisionDelta[] getDirtyObjectDeltas()
Returns the revision deltas of the changed objects of the current commit.

Read only!

### getDetachedObjects

CDOID[] getDetachedObjects()
Returns the CDOIDs of the detached objects of the current commit.

Read only!